Retrieve organization financial analytics
curl --request GET \
--url https://server.chataigne.ai/v1/organizations/{organization_id}/analytics/financials \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/organizations/{organization_id}/analytics/financials"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/organizations/{organization_id}/analytics/financials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "organization_financial_analytics",
"organization_id": "busorg_k3m9x2p7qw",
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"service_type": "delivery"
},
"by_currency": [
{
"currency": "EUR",
"summary": {
"gross_order_value": 9120.5,
"average_order_value": 26.69
},
"daily": [
{
"date": "2026-06-01",
"gross_order_value": 420.5
}
]
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Analytics
Retrieve organization financial analytics
GET
/
v1
/
organizations
/
{organization_id}
/
analytics
/
financials
Retrieve organization financial analytics
Authorizations
Location/organization API key.
Path Parameters
Query Parameters
Start of the analytics period. If both from and to are omitted, the period defaults to the last 30 days.
End of the analytics period. If both from and to are omitted, the period defaults to now.
Restrict order-backed statistics to delivery or collection orders.
Available options:
delivery, collection Response
The organization financial analytics.
Available options:
organization_financial_analytics Example:
"busorg_k3m9x2p7qw"
Show child attributes
Show child attributes
Financial totals grouped by location currency; unlike currencies are never added.
Show child attributes
Show child attributes